
QGIS Application - Bug report #13024

Can't edit ESRI .gdb file

2015-06-22 03:59 AM - Joze Stih

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Data Provider

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 21100

Description

I can't edit ESRI .gdb file layers in QGis 2.8.2. becouse "Start Edit" button is grey. In QGis 2.6.1 (and older) it is working just fine.

Related issues:

Related to QGIS Application - Bug report # 7255: Cannot edit ESRI FileGDB in ... Closed 2013-02-28

Related to QGIS Application - Bug report # 12045: ESRI File Based Geodatabase... Closed 2015-01-23

History

#1 - 2015-06-22 04:05 AM - Saber Razmjooei

- Category set to Data Provider

- Priority changed from Normal to Severe/Regression

#2 - 2015-06-22 05:20 AM - Jan Lippmann

do you use ESRI-FileGDB Driver or OpenFileGDB Driver?

-with ESRI-FileGDB Driver i can edit features in the actual master

-in qgis 2.8.2 is no ESRI-FileGDB Driver available

-in qgis 2.8.2 is only OpenFileGDB Driver available (sourcetype=folder);only view data, no editing on this sourcetype is possible

#3 - 2015-06-22 05:37 AM - Jürgen Fischer

Jan Lippmann wrote:

-in qgis 2.8.2 is no ESRI-FileGDB Driver available

-in qgis 2.8.2 is only OpenFileGDB Driver available (sourcetype=folder);only view data, no editing on this sourcetype is possible

QGIS doesn't contain any GDAL drivers - it depends on what GDAL supports.

#4 - 2015-06-22 05:42 AM - Joze Stih

Is it possible to use ESRI-FileGDB Driver in QGis 2.8.2.?

#5 - 2015-06-22 06:36 AM - Jan Lippmann

- File 22-06-_2015_15-35-28.jpg added
additional:

WIN 7

no ESRI-FileGDB Driver available with:

QGIS-Version              2.9.0-Master *32bit*  QGIS-Codeversion    61d81f0

Kompiliert gegen Qt       4.8.6                 Laufendes Qt        4.8.6

Kompiliert mit GDAL/OGR   1.11.2                Läuft mit GDAL/OGR  1.11.2

Kompiliert mit GEOS       3.4.2-CAPI-1.8.2      Läuft mit GEOS      3.4.2-CAPI-1.8.2 r3921

PostgreSQL-Client-Version 8.3.10                SpatiaLite-Version  4.1.1

QWT-Version               6.0.2                 PROJ.4-Version      480

QScintilla2-Version       2.8.4

Diese QGIS-Kopie schreibt Debugausgaben.

ESRI-FileGDB Driver is available with:

QGIS-Version              2.9.0-Master *64bit*  QGIS-Codeversion    61d81f0

Kompiliert gegen Qt       4.8.5                 Laufendes Qt        4.8.5

Kompiliert mit GDAL/OGR   1.11.2                Läuft mit GDAL/OGR  1.11.2

Kompiliert mit GEOS       3.4.2-CAPI-1.8.2      Läuft mit GEOS      3.4.2-CAPI-1.8.2 r3921

PostgreSQL-Client-Version 9.2.4                 SpatiaLite-Version  4.1.1

QWT-Version               5.2.3                 PROJ.4-Version      480

QScintilla2-Version       2.7.2

Diese QGIS-Kopie schreibt Debugausgaben.

#6 - 2015-06-22 03:11 PM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

The filegdb driver is optional - on OSGeo4W the driver is available as package gdal-filegdb (see also #12045).
